package br.ufes.inf.nemo.javahostel.control;

import javax.ejb.EJB;
import javax.enterprise.context.SessionScoped;
import javax.inject.Named;

import br.ufes.inf.nemo.javahostel.application.ManageGuestsService;
import br.ufes.inf.nemo.javahostel.domain.Guest;
import br.ufes.inf.nemo.util.ejb3.application.CrudService;
import br.ufes.inf.nemo.util.ejb3.application.filters.LikeFilter;
import br.ufes.inf.nemo.util.ejb3.controller.CrudController;

@Named
@SessionScoped
public class ManageGuestsController extends CrudController<Guest> {
	@EJB
	private ManageGuestsService manageGuestsService;
	
	public ManageGuestsController() {
		viewPath = "/manageGuests/";
		bundleName = "msgs";
	}
	
	@Override
	protected CrudService<Guest> getCrudService() {
		return manageGuestsService;
	}

	@Override
	protected Guest createNewEntity() {
		return new Guest();
	}

	@Override
	protected void initFilters() {
		addFilter(new LikeFilter("manageGuests.filter.byName", "name", getI18nMessage(bundleName, "manageGuests.text.filter.byName")));
	}

}
