package br.ufes.inf.nemo.javahostel.domain;

import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

import br.ufes.inf.nemo.util.ejb3.persistence.PersistentObjectSupport;

@Entity
public class Guest extends PersistentObjectSupport 
								implements Comparable<Guest> {
	private String name;
	private String email;
	private String password;
	
	@Temporal(TemporalType.DATE)
	private Date birthDate;

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public Date getBirthDate() {
		return birthDate;
	}

	public void setBirthDate(Date birthDate) {
		this.birthDate = birthDate;
	}

	@Override
	public int compareTo(Guest o) {
		if (name == null) return 1;
		if (o.name == null) return -1;
		int cmp = name.toLowerCase().compareTo(o.name.toLowerCase());
		
		if (cmp != 0) return cmp;
		return uuid.compareTo(o.uuid);
	}
}
